Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 253082 - Dropped keywords for x11-libs/fltk:2
Summary: Dropped keywords for x11-libs/fltk:2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 253254
Blocks: 253083
  Show dependency tree
 
Reported: 2008-12-30 02:44 UTC by Ben de Groot (RETIRED)
Modified: 2011-10-01 15:09 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben de Groot (RETIRED) gentoo-dev 2008-12-30 02:44:36 UTC
As fltk-2 is quite different from 1.x, I have dropped keywords. You may want to rekeyword this version. This will enable use of the new 2.0 version of the light-weight dillo webbrowser.

fltk-1.1.7-r3 has 
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"

so, ideally, we would like the same on fltk-2.0_pre6525
Comment 1 Brent Baude (RETIRED) gentoo-dev 2009-01-07 14:13:34 UTC
ppc64 done
Comment 2 Guy Martin (RETIRED) gentoo-dev 2009-01-11 14:03:27 UTC
re-added ~hppa
Comment 3 Tobias Klausmann gentoo-dev 2009-01-18 12:10:47 UTC
Keyworded on alpha.
Comment 4 Raúl Porcel (RETIRED) gentoo-dev 2009-02-24 12:51:42 UTC
~ia64/~sh done
Comment 5 Samuli Suominen gentoo-dev 2010-05-13 14:58:44 UTC
+  13 May 2010; Samuli Suominen <ssuominen@gentoo.org> fltk-1.1.7.ebuild,
+  fltk-1.1.7-r2.ebuild, fltk-1.1.7-r3.ebuild, fltk-1.1.9.ebuild:
+  Remove ~mips wrt #253082 and #276547.

Only ~x86-fbsd left.
Comment 6 Samuli Suominen gentoo-dev 2011-10-01 15:08:24 UTC
dillo doesn't have fbsd keywording anymore, so this bug is redudant
Comment 7 Samuli Suominen gentoo-dev 2011-10-01 15:09:14 UTC
and let it be noted that dillo-3 is using fltk-1.3 instead of fltk-2, so keywording this slot is even more redudant.